%define themes compact master server
%define base_name design-bootloader

Name: %base_name-m40
Version: 4.0.0
Release: alt0.4.4.1

Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
License: GPL
Packager: Sergey V Turchin <zerg at altlinux dot org>

BuildArch: noarch
BuildRequires: cpio gfxboot >= 2.5

Source: %name-%version.tar
Source10: design-compact.tar
Source11: design-master.tar
Source12: design-server.tar

%description
Here you find the graphical boot logo. Suitable for both lilo and syslinux.

%package -n %base_name-compact
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Compact = %version-%release
Obsoletes: %base_name-Compact < %version-%release
%description -n %base_name-compact
Graphical boot logo for lilo and syslinux.

%package -n %base_name-master
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Master = %version-%release
Obsoletes: %base_name-Master < %version-%release
%description -n %base_name-master
Graphical boot logo for lilo and syslinux.

%package -n %base_name-server
Group: Graphics
Summary: Graphical boot logo for lilo and syslinux
Provides: %base_name-Server = %version-%release
Obsoletes: %base_name-Server < %version-%release
%description -n %base_name-server
Graphical boot logo for lilo and syslinux.

%prep
%setup -qcT
for t in %themes
do
    mkdir -p design-$t
    pushd design-$t
    tar xf %SOURCE0
    mv %base_name-m40*/* .
    rm -rf %base_name-m40*
    tar xf %_sourcedir/design-$t.tar
    mv -f design-$t/* .
    rm -rf design-$t
    popd
done
sed -i "s|penguin=.*|penguin=0|" design-server/gfxboot.cfg

%build
for t in %themes
do
    pushd design-$t
    %make BINDIR=/usr/bin/
    popd
done

%install
for t in %themes
do
    pushd design-$t
    install -d -m 755 %buildroot/boot/splash/$t
    install -d -m 755 %buildroot/%_datadir/gfxboot/$t/
    install -m 644 boot/message %buildroot/boot/splash/$t/
    install -m 644 install/bootlogo %buildroot%_datadir/gfxboot/$t/
    popd
done

%post -n %base_name-compact
%__ln_s -nf compact/message /boot/splash/message

%post -n %base_name-master
%__ln_s -nf master/message /boot/splash/message

%post -n %base_name-server
%__ln_s -nf server/message /boot/splash/message

%preun -n %base_name-compact
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "compact/message" ] ||
    %__rm -f /boot/splash/message

%preun -n %base_name-master
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "master/message" ] ||
    %__rm -f /boot/splash/message

%preun -n %base_name-server
[ $1 = 0 ] || exit 0
[ "`readlink /boot/splash/message`" != "server/message" ] ||
    %__rm -f /boot/splash/message

%files -n %base_name-compact
%_datadir/gfxboot/compact
/boot/splash/compact

%files -n %base_name-master
%_datadir/gfxboot/master
/boot/splash/master

%files -n %base_name-server
%_datadir/gfxboot/server
/boot/splash/server

%changelog
* Tue May 29 2007 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.4.4.1
- Reverted default language change introduced in 4.0.0-alt0.4.3.

* Fri May 25 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.4
- added lang to dups clean list 

* Wed May 23 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.3
- default language set tu Russian, russian help rewritten 

* Tue May 22 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 4.0.0-alt0.4.2
- bootsplash resolution set to 800x600, vesa mode removed 

* Mon Apr 23 2007 Dmitry V. Levin <ldv@altlinux.org> 4.0.0-alt0.4.1
- Removed backup files.
- Uncompressed tarballs.
- design-bootloader/common.inc: Passed vga=normal in text mode.
- design-bootloader/po (txt_text_mode): Renamed "Base" to "Base Mode".

* Thu Apr 19 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.4
- remove "Driver Update Disk" option
- rename "Text Mode" menu entry to "Base"

* Mon Apr 16 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.3
- add graphics for -server
- more split colors into desing themes

* Wed Apr 11 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.2
- cleanup uk help text; thanks gvy@alt

* Tue Apr 10 2007 Sergey V Turchin <zerg at altlinux dot org> 4.0.0-alt0.1
- cut design to separated tarballs
- cleanup en,ru help text
- bump version

* Tue Apr 03 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.7
- don't cut leading '/' from networking directory

* Mon Mar 19 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.6
- add Tatar and Kazakh to defualt languages list

* Wed Mar 14 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.5
- set ramdisk_size=50000 for ftp/http install methods

* Fri Mar 09 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.4
- fix default options to automatic=method:cdrom

* Fri Mar 02 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.3
- fix "automatic" kernel options by F4
- turn off startup animation
- drop unused languages

* Thu Mar 01 2007 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.2
- change kernel options and menu for install method menu
- small graphics update

* Wed Dec 13 2006 Sergey V Turchin <zerg at altlinux dot org> 3.1.0-alt0.1
- testing variant of new format

* Tue Aug 09 2005 Anton D. Kachalov <mouse@altlinux.org> 2.9.8-alt1.1
- added x86_64 to BuildArch

* Mon Jun 27 2005 Anton Farygin <rider@altlinux.ru> 2.9.8-alt1
- belarusian translations added
- fixed #6664 (menu item down after keys from panel pressing)

* Tue Jun 07 2005 Anton Farygin <rider@altlinux.ru> 2.9.7-alt1
- updated translation

* Sat May 14 2005 Anton Farygin <rider@altlinux.ru> 2.9.6-alt1
- updated help and font for uk (#6829)

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.4-alt1
- post scripts added

* Mon Apr 04 2005 Anton Farygin <rider@altlinux.ru> 2.9.3-alt1
- updated isolinux parameters

* Wed Mar 16 2005 Anton Farygin <rider@altlinux.ru> 2.9.2-alt1
- prepare for ALT Linux 3.0 Compact

* Thu Dec 23 2004 Anton Farygin <rider@altlinux.ru> 2.9.1-alt1
- prepare for next Master

* Tue Jun 15 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt1
- updated for Master 2.4

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt1.1
- update boot picture

* Tue Feb 11 2003 Rider <rider@altlinux.ru> 2.2-alt1
- first build for ALT Linux

